Package org.apache.sling.scripting.sightly.impl.compiler.visitor

## Class UniformVisitor

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.visitor.UniformVisitor

All Implemented Interfaces:
  `CommandVisitor`

Direct Known Subclasses:
  `IgnoreRange`, `TrackingVisitor`

    public abstract class UniformVisitor
    extends Object
    implements CommandVisitor

Abstract visitor that allows to skip processing some commands.

### Constructor Summary

Constructors
`UniformVisitor()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `onCommand​(Command command)`
`void` `visit​(Conditional.End conditionalEnd)` Process a `Conditional.End` command.
`void` `visit​(Conditional.Start conditionalStart)` Process a `Conditional.Start` command.
`void` `visit​(Loop.End loopEnd)` Process a `Loop.End` command.
`void` `visit​(Loop.Start loopStart)` Process a `Loop.Start` command.
`void` `visit​(OutputVariable outputVariable)` Process a `OutputVariable` command.
`void` `visit​(OutText outText)` Process a `OutText` command.
`void` `visit​(Procedure.Call procedureCall)` Process a `Procedure.Call` command.
`void` `visit​(Procedure.End endProcedure)` Process a `Procedure.End` command.
`void` `visit​(Procedure.Start startProcedure)` Process a `Procedure.Start` command.
`void` `visit​(VariableBinding.End variableBindingEnd)` Process a `VariableBinding.End` command.
`void` `visit​(VariableBinding.Global globalAssignment)` Process a `VariableBinding.Global` command.
`void` `visit​(VariableBinding.Start variableBindingStart)` Process a `VariableBinding.Start` command.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UniformVisitor

    public UniformVisitor()

### Method Detail

#### onCommand

    protected abstract void onCommand​(Command command)

#### visit

    public void visit​(Conditional.Start conditionalStart)

Description copied from interface: `CommandVisitor`
Process a `Conditional.Start` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `conditionalStart` - the command

#### visit

    public void visit​(Conditional.End conditionalEnd)

Description copied from interface: `CommandVisitor`
Process a `Conditional.End` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `conditionalEnd` - the command

#### visit

    public void visit​(VariableBinding.Start variableBindingStart)

Description copied from interface: `CommandVisitor`
Process a `VariableBinding.Start` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `variableBindingStart` - the command

#### visit

    public void visit​(VariableBinding.End variableBindingEnd)

Description copied from interface: `CommandVisitor`
Process a `VariableBinding.End` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `variableBindingEnd` - the command

#### visit

    public void visit​(VariableBinding.Global globalAssignment)

Description copied from interface: `CommandVisitor`
Process a `VariableBinding.Global` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `globalAssignment` - the command

#### visit

    public void visit​(OutputVariable outputVariable)

Description copied from interface: `CommandVisitor`
Process a `OutputVariable` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `outputVariable` - the command

#### visit

    public void visit​(OutText outText)

Description copied from interface: `CommandVisitor`
Process a `OutText` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `outText` - the command

#### visit

    public void visit​(Loop.Start loopStart)

Description copied from interface: `CommandVisitor`
Process a `Loop.Start` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `loopStart` - the command

#### visit

    public void visit​(Loop.End loopEnd)

Description copied from interface: `CommandVisitor`
Process a `Loop.End` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `loopEnd` - the command

#### visit

    public void visit​(Procedure.Start startProcedure)

Description copied from interface: `CommandVisitor`
Process a `Procedure.Start` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `startProcedure` - the command

#### visit

    public void visit​(Procedure.End endProcedure)

Description copied from interface: `CommandVisitor`
Process a `Procedure.End` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `endProcedure` - the command

#### visit

    public void visit​(Procedure.Call procedureCall)

Description copied from interface: `CommandVisitor`
Process a `Procedure.Call` command.

Specified by:
  `visit` in interface `CommandVisitor`
Parameters:
  `procedureCall` - the command